from codrone_edu.drone import *
import time

drone = Drone()
drone.pair()

def check_conditions():
  print('Martian conditions...')
  print("Temperature: ", drone.get_temperature("Celsius"), "°C")
  print("Pressure: ", drone.get_pressure("Pa"), "Pa")
  print("Elevation: ", drone.get_elevation("m"), "m")
  print("Battery: ", drone.get_battery(), "%")
  print("")

def check_telemetry():
  print('Telemetry data....')
  print("Height: ", drone.get_height("m"), "m")
  print("Angle: ", "x=", drone.get_x_angle(), ", y=", drone.get_y_angle())
  print("Angular speed: ", 'x=', drone.get_angular_speed_x(), ", y=", drone.get_angular_speed_y(), ", z=", drone.get_angular_speed_z())
  print("")

check_conditions()
drone.set_drone_LED(255, 0, 255, 255)
drone.takeoff()
time.sleep(3)
check_telemetry()
drone.set_drone_LED(0, 255, 255, 255)
drone.turn_degree(96)
time.sleep(3)
drone.set_drone_LED(255, 255, 0, 255)
drone.land()
check_telemetry()
drone.drone_LED_off()

drone.close()