from codrone_edu.drone import *
import time

drone = Drone()
drone.pair()

drone.takeoff()

while drone.get_height("cm") < 150:
  drone.set_throttle(30)
  drone.move()
drone.set_throttle(0)
drone.move()
time.sleep(0.5)

y_start = drone.get_pos_y("cm")

while drone.get_pos_y("cm") < y_start + 50:
  drone.set_roll(-20)
  drone.move()
drone.set_throttle(0)
drone.move()
time.sleep(0.5)

for i in range(1, 5, 1):
  drone.turn_left(90)
  time.sleep(1)
  print("Distance at ", i*90, " degrees: ", drone.get_front_range("cm"), "cm")

while drone.get_pos_y("cm") > y_start:
  drone.set_roll(20)
  drone.move()
drone.set_throttle(0)
drone.move()
time.sleep(0.5)

drone.land()

drone.close()